Subject: bug#34655: 26.1.92; Segfault in module with --module-assertions

From: Richard Stallman <[email-masked]>
Date: Tue, 26 Feb 2019 23:10:11 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Re: the name, I chose 'realpath' because the original implementation was
  > just that: a wrapper around realpath(3).  It was only in a later version
  > that I switched to using canonicalize_file_name(3) instead.  Perhaps a
  > better name would have been 'truename' or similar, but I don't think
  > this is important enough a matter to justify renaming it now.  Do you?

If you don't think it is worth publicizing, and you don't really want
to use it, I won't claim that minor fixes in it are important.

A good name might be

   nonmagic-file-truename

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)